跳到主要内容

因子列表

GET/research/factors在线调试
GET https://api.shengkezhi.com/open/v1/research/factors
等效 curl
curl "https://api.shengkezhi.com/open/v1/research/factors" \
  -H "Authorization: Bearer sk_xxx"

GET /research/factors — 因子列表。

需在请求头携带 Authorization: Bearer sk_xxx

响应

响应 dataFactorList

字段类型必填说明
itemsFactorListItem[]当前分页的因子列表项。
pageinteger当前页码,从 1 开始。
page_sizeinteger每页条数。
sampledinteger本页实际返回的条数。
totalinteger命中总数(用于分页)。

调用示例

curl "https://api.shengkezhi.com/open/v1/research/factors" -H "Authorization: Bearer sk_xxx"
{
"code": 0,
"data": {
"items": [
{
"agg": {
"best_problem": null,
"best_sharpe": 1.5,
"mean_sharpe": 1.5,
"median_calmar": 4.0,
"median_sharpe": 1.5,
"pos_sharpe_ratio": null,
"problem_count": 1
},
"compute_engine": "TSA",
"create_time": "2026-05-31 05:35:09",
"creator": "route_factor_miner",
"delete_reason": null,
"description": "20 日动量:收盘价较 20 日前的变化率",
"engine_full": "TimeSeriesAstEngine",
"factor_code": "Sub($close, Ref($close, 20))",
"factor_name": "TSA_260531_6BEFDD",
"is_deleted": false,
"metrics": {
"交易胜率": null,
"卡玛比率": 5.0,
"夏普比率": 1.5,
"年化收益": null,
"年化波动率": null,
"日胜率": null,
"最大回撤": null
},
"route": "90ec76ba1f23",
"route_name": "量价共振趋势因子",
"tags": [
"量价",
"detect_passed",
"positive_passed"
]
}
],
"page": 1,
"page_size": 50,
"sampled": 1,
"total": 1
},
"msg": "ok"
}